pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

RE: devel/boost-libs-1.53.0 won't build on alpha

> Or if there's a way to disable the build of Boost.Context on
> platforms where it's not supported, that'd be even better… I don't
> know much about boost; I just want the package because it's a
> dependency of some other package (which works with an older version
> of boost, so I assume it doesn't use Boost.Context).

Pretty sure I've seen platform-conditional patches in pkgsrc. Patch the filename in question out of the Makefile so it isn't built, only on those platforms.



Tim Larson
Software Engineer
p: 877-505-7770
d: 402-505-7770

This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify by return email. If you are not the intended recipient you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Warning: Although the company has taken reasonable precautions to ensure no viruses are present in this email, no assurance or warranty is given that this email and any attachments are free of viruses.

Home | Main Index | Thread Index | Old Index